View Issue Details

IDProjectCategoryView StatusLast Update
0003538SymmetricDSBugpublic2018-05-08 16:09
ReporterelongAssigned Toelong 
Priorityurgent 
Status closedResolutionfixed 
Product Version3.9.6 
Target Version3.9.7Fixed in Version3.9.7 
Summary0003538: Batch left in status resend (RS) is never loaded on target and marked okay (OK) on source
DescriptionThe outgoing batch on the source is in status OK and the incoming batch on the target is status RS, but the batch was never loaded. This is a defect introduced in 3.9.6 by 0003498, which was trying to turn off the error flag on batches in resend (RS) status.

Relationships

related to 0003498 closedgwilmer Batches with status of RS (resend) are flagged as In Error. 
related to 0003551 closedmmichalek (3.8.x version of 0003538): Batch left in status resend (RS) is never loaded on target and marked okay (OK) on source 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 12884124

2018-05-02 15:01:06

admin

Details Diff
0003538: Batch left in status resend (RS) is never loaded on target and
marked okay (OK) on source

0003538
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AcknowledgeService.java Diff File

SymmetricDS: 3.9 b3c09878

2018-05-02 16:37:42

admin

Details Diff
0003538: Batch left in status resend (RS) is never loaded on target and
marked okay (OK) on source

0003538
add - symmetric-server/src/test/java/org/jumpmind/symmetric/test/AckUriHandlerTest.java Diff File

Issue History

Date Modified Username Field Change
2018-05-02 14:49 elong New Issue
2018-05-02 14:49 elong Status new => assigned
2018-05-02 14:49 elong Assigned To => elong
2018-05-02 14:50 elong Priority high => urgent
2018-05-02 14:50 elong Severity major => crash
2018-05-02 14:50 elong Reproducibility sometimes => always
2018-05-02 14:56 elong Relationship added related to 0003498
2018-05-02 16:00 admin Changeset attached => SymmetricDS 3.9 12884124
2018-05-02 16:38 elong Status assigned => resolved
2018-05-02 16:38 elong Resolution open => fixed
2018-05-02 16:38 elong Fixed in Version => 3.9.7
2018-05-02 17:00 admin Changeset attached => SymmetricDS 3.9 b3c09878
2018-05-07 17:06 mmichalek Relationship added related to 0003551
2018-05-08 16:09 mmichalek Status resolved => closed